rte_node_register(3)

NAME
rte_node_register

SYNOPSIS

#include <rte_graph.h>

  Data Fields

char name [RTE_NODE_NAMESIZE]
uint64_t flags
rte_node_process_t process
rte_node_init_t init
rte_node_fini_t fini
struct rte_node_xstats * xstats
rte_node_t id
rte_node_t parent_id
rte_edge_t nb_edges
const char * next_nodes []

Detailed Description

Structure defines the node registration parameters.

See also
    __rte_node_register(), RTE_NODE_REGISTER()

Definition at line 495 of file rte_graph.h.

Field Documentation

  char name[RTE_NODE_NAMESIZE]
Name of the node.

Definition at line 496 of file rte_graph.h.

  uint64_t flags
Node configuration flag.

Definition at line 497 of file rte_graph.h.

  rte_node_process_t process
Node process function.

Definition at line 499 of file rte_graph.h.

  rte_node_init_t init
Node init function.

Definition at line 500 of file rte_graph.h.

  rte_node_fini_t fini
Node fini function.

Definition at line 501 of file rte_graph.h.

  struct rte_node_xstats* xstats
Node specific xstats.

Definition at line 502 of file rte_graph.h.

  rte_node_t id
Node Identifier.

Definition at line 503 of file rte_graph.h.

  rte_node_t parent_id
Identifier of parent node.

Definition at line 504 of file rte_graph.h.

  rte_edge_t nb_edges
Number of edges from this node.

Definition at line 505 of file rte_graph.h.

  const char* next_nodes[]
Names of next nodes.

Definition at line 506 of file rte_graph.h.

Author

Generated automatically by Doxygen for DPDK from the source code.